Homing (M1)

Brief descriptionPAGEREF _Toc307388410 \h3

Description 5

Homing interfaces 9

Commanding and realisation 9

Homing sequence strategies 10

Standard homing 13

Phase 1: Travel to the reference cam 13

Phase 2: Travel from the reference cam 13

Phase 3: Travel to the reference cam with referencing 15

Homing on the fly for spindle axes 16

Reference point travel without reversing 19

Special homing processes 20

Homing during travel from the cam 20

Homing without reversing 22

Homing with zero pulse without reference cam 23

Monitoring during homing 24

Distance monitoring 24

Monitoring after reference point travel 26

Reference loss (reference monitoring) 26

Parameter definition 27

System parameters 28

Drive types 28

Simulation axis 28

SERCOS axis 28

Drive systems with reference cam 29

Reference cam present 29

Cam switch signal level 29

Cam signal access method 30

Drive systems with zero pulse 30

Sequence parameters 31

Homing with or without reversing 31

Travel direction during homing 31

Speeds for homing 31

Reference position 32

Specific parameters for drive simulation 32

Effectiveness of parameters 33

Parameter definition examples 34

Conventional drives 34

Simulation 35

SERCOS with zero pulse latch via S-0-146 36

Parameters 37

Overview 37

Description 44

More:

button Brief description

button Description

button Parameter definition

button Parameters


Brief description

Task

During homing of a machine axis, the actual position value system of the machine axis is synchronised with the machine's and the CNC's axis coordinate systems.

Effectiveness

All machine axes must be referenced if they are to be positioned and they do not possess an encoder that supplies an absolute actual position value.

Speed-controlled or only endlessly rotating position-controlled spindles do not need to be referenced.

Homing (RPT) is possible for the following axis types (P-AXIS-00018):

q Linear axes

q Rotary axes

q Spindles

Parameterisation

Homing must be parameter-defined for each axis in the axis parameter list.

Commanding

Homing is commanded either by means of the NC command G74 or by starting the operating mode homing [HLI].

Axis position after homing

The axis is not at its reference point after homing. The reason for this is that the reference position is adopted when the cam/zero pulse signal occurs and the axis is then braked. Therefore, at the end of homing the axis is next to the reference position by the braking distance.


Description

Task of homing

The actual position value system of a machine axis is synchronised with the machine geometry during homing. Therefore, referencing means the time of initialisation of the axis with the required axis coordinate system. The entire operation including referencing up to standstill of the axis is referred to as homing.

The axes are not monitored with respect to their software limit switch positions until after successful referencing.

Homing always takes place with the linear slope speed profile.

Absolute or
incremental
measurement system

Machine axes generally do not need to be referenced if they are equipped with an absolute measurement system that supplies a unique axis or slide position within the entire travel range of the drive. This can be set by means of the axis parameter P-AXIS-00014 (abs_pos_gueltig).

Homing is necessary for incremental measurement systems. To this end, the axis parameter P-AXIS-00014 (abs_pos_gueltig) must be set to 0. The necessary homing is described in greater detail below.

Homing strategies

The following strategies for referencing an axis can be realised with the control system:

q Homing with reference cam, referencing with zero pulse

q Homing with reference cam, referencing with cam (without zero pulse)

q Homing (without reference cam) with zero pulse

q Homing with fast or slow reversing

Reference cam

Pre-positioning generally takes place with the reference cam and then the encoder is exactly positioned with the zero pulse. Whether the axis is on or next to the cam is determined by a cam switch. Referencing with the cam and without a zero pulse is also possible. For example, this is a common method in the case of stepper motors besides referencing with "travel to fixed stop".

Repetition accuracy during homing

When modern hardware is used, depending on the homing strategy the axis position is latched either by the cam signals or the zero pulse, thus enabling exact, referencing independently of the speed.

If the hardware used does not support this, the accuracy of a homing operation crucially depends on the speed at which travel to the cam takes place. At a chosen homing speed, the maximum tolerance results from the sampling time of the functionality that detects the position and the cam.

For example, a homing speed of 6 m/min and a sampling interval of 2ms results in a maximum deviation of 200 μm.

Figure 0-1: Basic arrangement of the limit switches and of the reference cam of a machine axis

Zero pulse encoder

After pre-positioning with a reference cam, very precise referencing can take place with a zero pulse encoder if the hardware supports latching of the counter status on arrival of the zero pulse. In this case, the repetition accuracy of referencing is independent of the homing speed. Referencing solely with a pulse which can occur once only, and thus clearly, in the travel range, is also possible. This is frequently used for rotatory axes.

Fitting the zero pulse encoder

The NC kernel activates searching for the zero pulse only when the reference cam is actuated. This is why the encoder should be fitted so that the zero pulse arrives approximately one half encoder rotation after actuation of the cam. This ensures reproducible referencing. If the zero pulse coincides with the cam, it is either detected or not depending on whether the reference switch is actuated before or after the occurrence of the zero pulse. Referencing of the axis may therefore be shifted by one encoder revolution.

More:

button Homing interfaces

button Commanding and realisation

button Homing sequence strategies

button Monitoring during homing

button Monitoring after reference point travel


Homing interfaces

Figure 0-2 shows the NC control system with its interfaces that are relevant to homing. In the individual channels, homing for the assigned axes can be commanded either in the

q "Homing" mode or with the

q NC command G74 in the NC program.

Homing is parameter-defined for each individual NC axis in the axis parameter list [AXIS].

Figure 0-2: NC controller overview

CNC interface

With regard to homing, the CNC has an object interface with which

q homing can be commanded from the GUI and

q the axis status can be queried by the control system.

HLI interface

The HLI interface is a memory-coupled interface with which the NC control system communicates with the PLC. This interface is documented in detail in [HLI]. Via the HLI interface:

q Homing can be commanded and

q the axis status can be queried.

The NC provides the cam signal via the HLI interface. Reading in the cam signal from the periphery and writing the signal into the HLI interface must be realised in the PLC (see also [HLI] ).

Drive interface

NC axes with different drive types can be connected to the control system with the drive interface.


Commanding and realisation

Homing is commanded in each specific channel either by means of the "Homing" mode or by means of the NC command G74. This command can be executed either in a manual block or in a NC program.

During referencing, the axis assumes the reference position P-AXIS-00152 (pos_refpkt) from the axis parameter list and stops.

NC program

Homing is started either

q implicitly in the homing mode with the standard homing program rpf.nc, or

q explicitly with any NC program that is started in the automatic mode or with a manual block that is executed in the NDI mode.

Homing sequence of axes

The axes to be referenced and the sequence in which they are to perform homing can be specified with the NC command G74.

q Sequential and

q parallel commanding of the axes are possible

The values programmed with the axis names define the homing sequence. For axes with the same value, homing is triggered simultaneously (see also [PROG]).

Programming examples

Sequential
commanding

In the following example, the axes Z, X, Y, A and B are commanded successively, i.e. Z has referenced before X begins with homing, etc.

N10 G74 Z1 X2 Y3 A4 B5

This mode may be necessary, for example, to first move the tool axis Z out of the collision zone with the workpiece or other axes. The other axes are then referenced.

Parallel
commanding

In the following example, homing takes place in parallel (simultaneously) for the axes X, Y, A and B.

N10 G74 X1 Y1 A1 B1

This mode is suitable thanks to the shorter time required with low homing speed and a large travel range of the axis.

Another reason may be kinematic coupling of axes, which does not permit sequential homing.

Example

In the following example, the Z axis is referenced first and is moved to the safety level. Then, in the next NC block, the axes X and Y are commanded in parallel and then the axes A and B are also commanded in parallel. The spindle S is referenced last.

After homing has taken place, the axes can optionally be positioned by means of a travel command to any chosen position within the scope of the software limit switches. Any chosen initialisation processes are also possible here.

NC program for homing

%RPF.NC

N10 G74 Z1

(optional: Move Z on security hight)

N15 G01 G90 Z200 F500

N20 G74 X1 Y1 A2 B2 S3

(optional: Move axes on home positions)

N30 G01 X0 Y20 Z0 A90 F1000

N40 S.POS0 S500 M19

...

N40 M30

Drive-controlled
homing

Homing executed independently by the drive itself is referred to as drive-controlled referencing. The NC controller orders the drive to reference its axis and, after homing has taken place, receives a confirmation from the drive about whether reference was successful. Homing is parameter-defined exclusively in the drive.

The CNC supports drive-controlled referencing of

q drives with a SERCOS interface.

Apart from P-AXIS-00014, all homing parameters in the axis parameter list apply to NC-controlled referencing only.

NC-controlled
homing

In the case of NC-controlled referencing, the entire sequence of homing is determined by the NC controller. Homing can be defined for each axis with the corresponding parameters in the axis parameter list. Depending on the homing strategy, it may be necessary to provide the reference cam signal on the HLI.

Drive types supported

NC-controlled referencing is supported for the following drive types:

q Drive simulation (by digital filter)

q Profidrive

q Terminal (+/-10V drives with incremental encoders, transparent access via field buses)

q Lightbus

q Real-time Ethernet

NC-controlled referencing is currently supported for drives with a SERCOS interface only without zero pulse search.

Drive simulation

The NC controller supports the "simulation" drive type, i.e. each axis can be simulated, for example if, within the scope of machine commissioning, there is still no physical drive (±10V, stepper motor, etc.) or if the control system is to be tested completely without physical drives. Homing can also be selected with this drive type. Referencing of these axes is simulated and also be set by means of corresponding parameters in the axis parameter list.

Gantry coupling

In the case of gantry coupling, homing of the gantry slave axis can be suppressed with the P-AXIS-00074 parameter. After homing, the gantry master axis then assumes the reference position and monitoring of the gantry difference between the master and slave axes is started.

Otherwise, after referencing of the master axis, homing also takes place for the gantry slave axes. In both cases, the other mechanically coupled axis is controlled in synchronism.


Homing sequence strategies

Strategies

The sequence of homing of a machine axis depends on diverse factors, for example:

q Is there a reference cam?

q Is a zero pulse signal triggered?

q Is the reference cam to be moved to with cam play?

The various homing sequence strategies are subdivided into the following processes and are then considered in greater detail:

q Standard homing

q Homing on the fly for spindles

q Special homing processes

Standard homing

For standard homing, it is presumed there is a reference point cam switch and the position counter can be latched by a cam or a zero pulse signal.

The timing of standard homing generally takes place in three phases:

q Phase 1: travel to the reference cam

q Phase 2: travel from the reference cam

q Phase 3: travel to the reference cam with referencing

Three-phase standard homing includes two direction changes and the travel motions' parameters can be defined with two different speeds.

In variants of this method of homing, individual phases can be skipped. Homing can be reduced to one phase. In this case, no direction change takes place.

Homing on the fly for spindle axes

Homing on the fly is available only for spindle axes. For orientation of a spindle axis, i.e. positioning with M19, the spindle axis must be referenced. The spindle axis automatically performs homing if it is not yet referenced or if the reference point has been lost. This homing on the fly takes place while the spindle axis is rotating and without standstill.

Special homing
processes

In special cases, standard homing cannot be applied. The following special homing processes point out further possibility of referencing an axis after appropriate parameter definition.

q Homing during travel from the cam

q Homing without reversing

q Homing only with zero pulse, without reference cam

q Homing in the direction of the valid travel range by inverting the reference direction and the cam signal level

More:

button Standard homing

button Homing on the fly for spindle axes

button Special homing processes


Standard homing

Standard homing is the most common method in practice of referencing machine axes.

Prerequisite

q Standard homing requires the presence of a reference cam.

q Standard homing realises the cam play of the machine axis.

q Counter hardware with a latching input is generally required for a high referencing accuracy.

Parameterisation | P-AXIS-00156 (ref_ohne_nocken) | 0, with reference cam
 | P-AXIS-00157 (ref_ohne_rev) | 0, with cam play

Timing

The timing of standard homing is in a maximum of three phases:

q Phase 1: travel to the reference cam

q Phase 2: travel from the reference cam

q Phase 3: travel to the reference cam with referencing

Figure 0-3 and Figure 0-4 show the sequence of standard homing.

Zero pulse

During referencing with a zero pulse, if corresponding hardware support is available the arrival of the zero pulse, provided the correponding strobe input has been activated beforehand, leads to immediate latching of the counter status. Thus, the travel speed during referencing with evaluation of the zero pulse generally has no influence on the referencing accuracy.

A zero pulse is not absolutely necessary for standard homing. The zero pulse is evaluated in phase 3 during referencing, with the reference cam switch actuated.

Referencing exclusively with the reference cam without the zero pulse reduces referencing accuracy depending on the travel speed. Referencing without the zero pulse is shown in Figure 0-6.

The following speed-distance diagrams show the acceleration and deceleration phases in a simplified form as linear curves.

Figure 0-3: Standard homing in the time range

Figure 0-4: Standard homing

More:

button Phase 1: Travel to the reference cam

button Phase 2: Travel from the reference cam

button Phase 3: Travel to the reference cam with referencing


Phase 1: Travel to the reference cam

Parameter definition of phase 1 | P-AXIS-00158 (ref_richt) | Referencing direction
 | P-AXIS-00219 (vb_refmax) | Fast referencing speed

Start of phase 1

Homing is started by means of the NC command G74 or by starting the homing mode. The machine axis is at standstill and homing is prepared.

Two situations can be the starting points for phase 1:

q Axis is in front of the cam

q Axis is on the cam

Axis is in front of the cam

The machine axis accelerates to the fast referencing speed P-AXIS-00219 (vb_refmax) in the reference direction P-AXIS-00158 (ref_richt). Reaching of the reference cam is communicated to the CNC controller via the HLI interface, upon which the machine axis is braked to standstill.

Phase 1 is ended and the process is continued with phase 2.

Axis is on the cam

Phase 1 is not executed if the reference cam is already actuated at the start of homing. The machine axis remains stopped at its starting position.

Phase 1 is ended and the process is continued with phase 2.


Phase 2: Travel from the reference cam

Parameter definition of phase 2 | P-AXIS-00064 (fast_from_cam) | Slow or fast travel from the reference cam
 | P-AXIS-00158 (ref_richt) | Referencing direction
 | P-AXIS-00219 (vb_refmax) | Fast referencing speed
 | P-AXIS-00218 (vb_reflow) | Slow referencing speed

Start of phase 2

Phase 2 is started automatically once phase 1 has been ended successfully and the machine axis is on the reference cam.

Execution of phase 2

The machine axis accelerates to the defined reference speed and moves away from the reference cam contrary to the reference direction P-AXIS-00158 (ref_richt). Moving away from the reference cam is communicated to the CNC controller, upon which the machine axis is braked to standstill. The parameter P-AXIS-00064 (fast_from_cam) defines whether travel in phase 2 takes place at the slow or fast referencing speed.

Phase 2 is ended and the process is continued with phase 3.


Phase 3: Travel to the reference cam with referencing

Parameter definition of phase 3 | P-AXIS-00084 (homing_without_zero_pulse) | With or without zero pulse
 | P-AXIS-00158 (ref_richt) | Referencing direction
 | P-AXIS-00218 (vb_reflow) | Slow referencing speed e.g. 15000 [μm/s]

Start of phase 3

Phase 3 is started automatically when phase 2 has been successfully ended and the machine axis is no longer on the reference cam.

The search for the reference position can take place by means of

q the zero pulse or

q the reference cam

Homing with zero pulse

Figure 0-5: Homing in three phases with referencing to the reference cam with zero pulse

Homing with
reference cam

Figure 0-6: Homing in three phases with referencing to the reference cam without zero pulse

With this parameter definition, referencing takes place at the positive edge of the cam signal in the third phase, i.e. during travel to the cam.

Referencing takes place by actuation of the cam switch in the third phase of homing. In this process, the accuracy of referencing is defined by the axis speed (vb_reflow) in phase 3 and by the sampling time because the position is only imported at the discrete times and the position value is not latched as in the case of zero pulse evaluation.

This process is applied to stepper motor applications without an incremental encoder, for example. An accuracy which is adequate in most cases can be achieved here if P-AXIS-00218 (vb_reflow) is initialised so that the motor moves at one increment per sampling cycle in the the third phase.

This process is also applied to separable drives (rack-and-pinion), for which the zero pulse signal is normally not used.


Homing on the fly for spindle axes

Description

The parameters P-AXIS-00157 (ref_ohne_rev) and P-AXIS-00156 (ref_-ohne_nocken) are used to define the homing strategy. The "ref_ohne_rev" defines whether cam play of the axis is to take place. The "ref_ohne_-nocken" parameter defines whether only the zero pulse signal or also the cam signal is to be evaluated during homing.

Conventional homing takes place when both "ref_ohne_rev" and "ref_ohne_nocken" are set to FALSE. The combination of "ref_ohne_rev" set to FALSE and "ref_ohne_nocken" set to TRUE makes no sense because evaluation of the cam signal is needed for cam play.

For homing on the fly without reversing out of endless rotation, the "ref_ohne_rev" variable must be set to TRUE. The following table shows the settings for the various RPT types.

 | ref_ohne_rev = FALSE | ref_ohne_rev = TRUE
ref_ohne_nocken = FALSE | Conventional RPT | RPT on the fly with cam
ref_ohne_nocken = TRUE | Setting not allowed | RPT on the fly without cam

In the case of conventional and simulation axes, position control is activated automatically during RPT if it was deactivated before it.

A specific reference point position, which is specified in axis parameter list, exists for each gear speed.

Before orientation of the spindle axis (M19, move to gear shift position, move to axis position), the CNC generally performs homing automatically if the reference point is not (no longer) valid (exceeding of the maximum encoder frequency due to excessive speed). Out of endless rotation, however, this can only take place if the "ref_ohne_rev" parameter is set to TRUE. Otherwise, an error message is issued and the transition to the error state takes place.

The automatic RPT mechanism must be suppressed in the case of drive-controlled referencing of SERCOS drives.

To this end, the ACHSMODE_KEINE_AUTO_RPF bit must be set in the axis parameter list in the axis mode ( P-AXIS-00015 ).

More:

button Reference point travel without reversing


Reference point travel without reversing

Homing without
reversing

In the case of RPT without reversing, acceleration to the P-AXIS-00218 (vb_reflow) speed from the axis parameter list takes place at standstill of the spindle. The spindle is not accelerated at the current limit, but with the standard ramps. The direction of rotation is initialised with the RPT direction P-AXIS-00158 (ref_richt). On initialisation of the spindle's machine parameters, a check is already made to determine whether a preferred direction is specified for the spindle. An error message is issued if this does not agree with the specified RPT direction.

If the spindle has to perform RPT out of endless rotation, acceleration deceleration to the RPT speed "vb_reflow" first takes place before referencing. The direction for referencing corresponds to that of endless rotation.

Orientation of the spindle at the programmed speed and at rapid traversing speed takes place after RPT and without stopping of motion. That is to say, homing on the fly takes place. Positioning takes place in the direction in which RPT took place, even if it does not agree with the specified direction of rotation.

Homing without reversing of the spindle can always take place in two ways. The method is defined by the value (TRUE/FALSE) of the axis parameter variable P-AXIS-00156 (ref_ohne_nocken).

Parameter definition | ref_ohne_nocken | 0 Reading in the cam and zero pulse Both the reference point cam and the zero pulse are used for triggering. In the case of the reference point cam, triggering takes place at the 'not actuated actuated' edge change. That is to say, if the cam is currently actuated, the spindle is rotated until the cam is not actuated.
 | ref_ohne_nocken | 1 The zero pulse is used for triggering. This method can be applied if only one zero pulse is issued during each spindle rotation.

Spindle modes (not SERCOS)

Figure 0-7 State graph of the spindle modes

Homing with SERCOS drives

Drive-controlled homing is used for SERCOS drives. This means that the ACHSMODE_KEINE_AUTO_RPF bit must be set in the "achs_mode" parameter in the machine parameters of the spindle to prevent automatic referencing. The "ref_ohne_rev" and "ref_ohne_nocken" parameters are then no longer evaluated.

In the case of a spindle with a SERCOS drive, homing must have been explicitly completed before orientation (via the automatic program or a manual block) as otherwise an error message will be issued.

Spindle modes in the case of SERCOS

Figure 0-8 State graph of spindle modes for digital drives (e.g. SERCOS)


Special homing processes

In certain special cases standard homing cannot be applied. The following special homing methods point our further possibilities of referencing an axis after corresponding parameter definition.

q Homing during travel from the cam

q Homing without reversing

q Homing only with zero pulse, without reference cam

q Homing in the direction of the valid travel range by inversion of the reference direction and of the cam signal level

More:

button Homing during travel from the cam

button Homing without reversing

button Homing with zero pulse without reference cam


Homing during travel from the cam

By means of a simple measure, namely by inverting the travel direction during referencing (ref_richt) and the cam switch signal level (cam_level), referencing takes place with the falling edge. Presuming the cam switch is actuated at the start of homing, this is a three-phase homing. This method is advantageous whenever, in the case of the method presented above, the reference position lies outside of the corresponding software limit switch. The following changes apply to the example mentioned before:

Parameterisation | P-AXIS-00038 (cam_level) | 0
 | P-AXIS-00158 (ref_richt) | 0

Figure 0-9: Homing during travel from the reference cam (without zero pulse)


Homing without reversing

Homing in one phase

Homing in one phase takes place without a direction change.

Examples for translatory axes

Homing in one phase is optionally possible, but should not be used in reality. You must pay attention to the fact that the axis must not be on the reference cam when starting homing. This must be checked by the PLC.

Parameter definition | P-AXIS-00156 (ref_ohne_nocken) | 0, reference cam present
 | P-AXIS-00084 (homing_without_zero_pulse) | 0, with zero pulse
 | P-AXIS-00157 (ref_ohne_rev) | 1, no reversing

Homing with zero pulse

Figure 0-10: Travel to the reference cam with zero pulse (one phase)

Homing without zero pulse

Parameter definition | P-AXIS-00156 (ref_ohne_nocken) | 0, reference cam present
 | P-AXIS-00084 (homing_without_zero_pulse) | 1, no zero pulse
 | P-AXIS-00157 (ref_ohne_rev) | 1, no reversing

Figure 0-11: Travel to the reference cam without zero pulse (one phase)


Homing with zero pulse without reference cam

Parameter definition | P-AXIS-00084 (homing_without_zero_pulse) | 0, with zero pulse
 | P-AXIS-00156 (ref_ohne_nocken) | 1, without reference cam
 | P-AXIS-00157 (ref_ohne_rev) | 1, no reversing
 | P-AXIS-00158 (ref_richt) | Referencing direction
 | P-AXIS-00218 (vb_reflow) | Slow referencing velocity

Sequence

Figure 0-12: Homing with zero pulse, without reference point cam


Monitoring during homing

More:

button Distance monitoring


Distance monitoring

With parameter P-AXIS-00412 for spindles and rotatory axes a distance monitoring during homing can be done.

It is checked if the reference position is found within the distance that is set up with parameter P-AXIS-00412 from the start position of homing.

So it can be checked if the reference cam and/or the zero pulse is found.


Monitoring after reference point travel

More:

button Reference loss (reference monitoring)


Reference loss (reference monitoring)

Reference monitoring is currently possible only for the SERCOS drive type (see P-AXIS-00020 ). In the case of all other drive types, the error message P-ERR-110458 is issued when reference monitoring is activated.

Motivation

In some cases it is desirable to check whether an axis that has been referenced once has lost its reference.

For example, when absolute encoders are used that store internal working data in a memory with battery backup, it can happen after a few years that the backup battery is exhausted and the absolute encoder returns an incorrect position.

Equally, when drive amplifiers are parameterised and decisive parameters are altered, it can happen that an already referenced axis loses its reference again.

In both cases, this leads to an unexpected shifting of the position returned by the drive in comparison with the mechanical position of the axis, which may lead to damaging of the machine.

To prevent this, a possibility has been created of checking whether an axis has lost its reference.

Principle of operation

In the case of reference monitoring, a signal generated in the drive controller that indicates whether the respective axis is referenced is transferred via the cyclic process data to the CNC and a check is made there as to whether the expected status of this signal is correct. This 'axis is referenced' signal is referred to below as the reference signal.

For example, for an absolute value encoder the axis is referenced immediately after the start of cyclic data transfer.

In the case of an axis without an absolute value encoder, the axis is referenced as soon as a drive-controlled reference point travel operation has been completed successfully.

The CNC controller has a possibility of comparing the reference signal returned by the drive with the internally calculated, expected reference signal and of issuing an error message in the event of discrepancies.

Parameter definition

The parameterisation essential defines transfer of the reference signal from the drive to the CNC.

To this end, the name of the cyclic process data item that transfers the reference signal must be specified in the axis parameter P-AXIS-00426 .

If the reference signal is transferred in one of the real-time status bits of the SERCOS status word, the value "S-0-0135" must be entered in P-AXIS-00426 . The signal status word need not be explicitly configured in the input process data because it is automatically always configured.

If the name configured in P-AXIS-00426 has not been found in the cyclic input process data, the error message P-ERR-70401 is issued and reference monitoring is deactivated.

Activation/
effect

Reference checking is activated as soon as valid values have been configured for the axis parameters P-AXIS-00425 and P-AXIS-00426 .

When reference checking is active, the error message P-ERR-70400 is issued as soon as the CNC detects a discrepancy between the reference signal returned by the drive and the CNC's internal reference signal.

Parameter definition

Example 1

A reference check is to be implemented for a SERCOS drive. The reference signal should be transferred via the real-time status bit 1.

Parameter definition in the drive:

In the drive, the reference signal must be assigned to the real-time status bit 1; this is done by assigning the value S-0-403 (actual position value status) to the drive parameter S-0-305 (assignment of real-time status bit 1).

Axis parameters:

As the reference signal is read out of the real-time status bit of the status word, the value "S-0-0135" must be entered in P-AXIS-00426 .

In the status word, the real-time status bit 1 is the bit with the number 6 (counted from 0) and so the value 6 must be entered in P-AXIS-00425

antr.homing_check.element_name S-0-0135

antr.homing_check.bit_nr 6

Parameter definition

Example 2

A reference check is to be implemented for a SERCOS drive. The reference signal is to be transferred via bit 2 of the drive parameter P-0-4078.

Parameter definition in the drive:

The parameter P-0-4078 must be configured in the drive's cyclic process data.

Axis parameters:

As the reference signal is read out of P-0-4078, the value "P-0-4078" must be entered in P-AXIS-00426 .

In P-0-4078, the reference signal is the bit with the number 2 (counted from 0) and so the value 2 must be entered in P-AXIS-00425

antr.sercos.at[1].ident_nr 36846

antr.sercos.at[1].ident_len 2

antr.sercos.at[1].nc_ref P-0-4078

antr.homing_check.element_name P-0-4078

antr.homing_check.bit_nr 2


Parameter definition

Homing is defined for a specific axis in the axis parameter list of one axis. According to their tasks, these parameters are broken down into

q system parameters and

q sequence parameters.

System parameters

Settings of the drive system specific to the machine are defined with the system parameters. The following information is communicated to the controller with these parameters:

q Is the axis equipped with a reference cam?

q Is a zero pulse or cam signal used for referencing?

q Which signal level does the cam supply when actuated?

Sequence parameters

The sequence parameters define response during homing. For example, this includes

q the speed at which the axis travels in the individual homing phases,

q the direction of travel in which homing is begun or executed, and

q the number of phases (single or several phases) up to complete referencing.

Effectiveness of the parameters

Chapter 0 provides an overview of the effectiveness of the homing parameters depending on the homing strategy used.

More:

button System parameters

button Sequence parameters

button Reference position

button Specific parameters for drive simulation

button Effectiveness of parameters

button Parameter definition examples


System parameters

More:

button Drive types

button Drive systems with reference cam

button Drive systems with zero pulse


Drive types

The drive type of the axis is set in the P-AXIS-00020 parameter. In the case of certain drive types such as simulation, only a small number of parameters specific to homing is relevant.

P-AXIS-00020
(antr_typ)

1: +/-10V drives with incremental encoders and use of a function library for I/O access (option)

2: SERCOS

3: Profidrive

4: Drive simulation (by digital filter)

5: Lightbus

6: Terminal (+/-10V drives with incremental encoders, transparent access via field buses)

7: Real-time Ethernet

More:

button Simulation axis

button SERCOS axis


Simulation axis

Homing simulation

For spindle axes, the P-AXIS-00157 (ref_ohne_rev) variable in the axis parameter list must be set to TRUE. In the case of drive simulation, homing is realised automatically without a cam. The homing sequence corresponds to that of conventional drives. The distance up to the arrival of the zero pulse must be set in the P-AXIS-00161 (rpf_weg_bis_nip) variable in the axis parameters.


SERCOS axis

Homing for SERCOS

For SERCOS drives both a drive-controlled RPT and a NC-controlled RPT is possible. The homing type used for the axis is specified in the axis parameter P-AXIS-00299 (homing_type). The default setting for SERCOS drives is drive-controlled homing. In this case only the CNC-parameters P-AXIS-00014 (abs_pos_gueltig) and P-AXIS-00015 (achs_mode) must be defined.

With the NC-controlled RPT with SERCOS drives no zero puslse search can be performed. Therefore the axis parameter P-AXIS-00299 ) (homing_without_zero_pulse) must be set to one. Additionally the input of the reference cam signal must be defined in the axis parameter P-AXIS-00321 (reference_cam_signal).

If the position control of the SERCOS drive is performed in the CNC, a drive controlled RPT is not possible.


Drive systems with reference cam

More:

button Reference cam present

button Cam switch signal level

button Cam signal access method


Reference cam present

The system parameter P-AXIS-00156 (ref_ohne_nocken) = 0 must be set for a drive system that possesses a reference cam. This must be done regardless of whether the cam is used only for the homing sequence or also for referencing itself .

P-AXIS-00156 (ref_ohne_nocken)

0: reference cam present

1: reference cam not present or not used

Figure 0-13: Drive system with reference cam


Cam switch signal level

The level when the cam switch is actuated can either be logical zero (0-active) or one (1-active). The level is set with the sequence parameter P-AXIS-00038 (cam_level).

P-AXIS-00038 (cam_level)

0: 0-active

1: 1-active

Figure 0-14: Cam signal level


Cam signal access method

The control system reads the cam signal for the specific axis via the HLI interface.

P-AXIS-00036 (cam_direct_access)

0: Provision of the reference cam signal in the HLI interface by the PLC.


Drive systems with zero pulse

The parameter P-AXIS-00084 (homing_without_zero_pulse) = 0 must be set if the drive system possesses a zero pule signal for referencing.

P-AXIS-00084 (homing_without_zero_pulse)

0: with zero pulse

1: without zero pulse

Figure 0-15: Drive system with zero pulse


Sequence parameters

More:

button Homing with or without reversing

button Travel direction during homing

button Speeds for homing


Homing with or without reversing

With this parameter, you can set whether homing is to take place in

q one phase, or in

q several phases.

P-AXIS-00157 (ref_ohne_rev)

0: with reversing - several phases

1: without reversing - one phase


Travel direction during homing

P-AXIS-00158 (ref_richt)

1: positive travel direction (in the direction of the
positive axis coordinates)

0: negative travel direction

For homing with a cam ( P-AXIS-00156 = 0), the travel direction specified in the P-AXIS-00158 (ref_richt) parameter defines the travel direction when the cam switch is not actuated.


Speeds for homing

Two speeds are available for homing.

By means of the P-AXIS-00064 parameter, you define whether travel is to take place at the fast or slow homing speed in phases 2 and 3.

P-AXIS-00219 (vb_refmax) | Fast speed in [μm/s] or [°/s]
P-AXIS-00218 (vb_reflow) | Slow speed in [μm/s] or [°/s]
P-AXIS-00064 (fast_from_cam) | 0: Reversing with vb_reflow 1: Reversing with vb_refmax

The following applies:
P-AXIS-00219 (vb_refmax) ≥ P-AXIS-00218 (vb_reflow)


Reference position

The position that is assumed by the control system, or the position control, during referencing is defined with this parameter. This defines the required axis coordinate system.

P-AXIS-00152 (pos_refpkt)

Definition of the reference position in [0.1μm] or [0.0001°]


Specific parameters for drive simulation

This parameter is used for the "drive simulation" drive type to define the travel distance up to referencing. In this case, homing takes place in one phase, i.e. without reversing. No physical I/Os are needed. Except for the parameter listed below, the settings of the other homing parameters are irrelevant to this drive type.

P-AXIS-00161 (rpf_weg_bis_nip)

Travel distance until referencing takes place in [0.1μm] or [0.0001°]


Effectiveness of parameters

System parameters for homing :

 | Measurement system type
 | Not absolute |  |  | Absolute
 | Cam only | Zero pulse only | Cam and Zero pulse |
 | I | II | III | IV
ref_ohne_nocken | 0 | 1 | 0 | -
homing_without_zero_pulse | 1 | 0 | 0 | -
abs_pos_gueltig | 0 | 0 | 0 | 1
cam_direct_access (**) | 0 | - | 0 | -
cam_level | X | - | X | -

Table 0-1: Homing system parameters

Sequence parameters for homing :

 | Measurement system type
 | Not absolute |  |  | Absolute
 | Cam only | Zero pulse only | Cam and zero pulse |
 | I | II | III | IV
ref_ohne_rev | X | X | X | -
ref_richt | X | X | X | -
fast_from_cam | X | - | X | -
pos_refpkt | X | X | X | -
rpf_weg_bis_nip (Simulation) | - | X | X | -
vb_reflow | X | X | X | -
vb_refmax | X | - | X | -

Table 0-2: Effective parameters for the individual homing modes


Parameter definition examples

More:

button Conventional drives

button Simulation

button SERCOS with zero pulse latch via S-0-146


Conventional drives

Excerpt from parameter list for X axis

# ****************************************

# Achsmaschinendaten X-Achse

# ****************************************

#

kopf.achs_nr 1

kopf.mds_ident 1

kopf.log_achs_name X_Achse

...................................

#

kenngr.achs_mode 1

kenngr.achs_typ 1

........................................

kenngr.ref_richt 0

kenngr.homing_without_zero_pulse 0

kenngr.fast_from_cam 1

kenngr.ref_ohne_nocken 0

kenngr.vorz_richtung 0

kenngr.beweg_richt 0

kenngr.ref_ohne_rev 0

.........................................

kenngr.antr_typ 5

kenngr.abs_pos_gueltig 0

#

getriebe[0].nummer 1

....................................................

getriebe[0].lslope_profil.a_grenz_stufe_1 10000

getriebe[0].lslope_profil.a_grenz_stufe_2 10000

getriebe[0].lslope_profil.vb_grenz_stufe_1_2 600000

.........................................

getriebe[0].vb_refmax 100000

getriebe[0].vb_reflow 20000

.........................................

getriebe[0].pos_refpkt -2025000

.........................................

lr_hw[0].nummer 1

.........................................

lr_hw[0].cam_direct_access 0

Ende


Simulation

Excerpt from parameter list for X axis

# ****************************************

# Achsmaschinendaten X-Achse

# ****************************************

#

kopf.achs_nr 1

kopf.mds_ident 1

kopf.log_achs_name X_Achse

...................................

#

kenngr.achs_mode 1

kenngr.achs_typ 1

........................................

kenngr.ref_richt 0

.........................................

kenngr.antr_typ 4

kenngr.abs_pos_gueltig 0

#

getriebe[0].nummer 1

....................................................

getriebe[0].lslope_profil.a_grenz_stufe_1 10000

getriebe[0].lslope_profil.a_grenz_stufe_2 10000

getriebe[0].lslope_profil.vb_grenz_stufe_1_2 600000

.........................................

getriebe[0].vb_refmax 100000

getriebe[0].vb_reflow 20000

.........................................

getriebe[0].pos_refpkt -2025000

.........................................

antr_simu.rpf_weg_bis_nip 200

Ende


SERCOS with zero pulse latch via S-0-146

CNC-controlled homing with zero pulse latch via command S-0-146.

Homing encoder is defined by reading S-0-147, bit 14 and 15 of the signal status and signal control word are used.

Excerpt from parameter list

kenngr.homing_type CNC_CONTROLLED

kenngr.homing_without_zero_pulse 0

antr.sercos.drive_supports_cnc_homing 1

antr.cnc_homing_encoder 1

antr.sercos.cnc_homing_rt_bit_layout 16

In the drive the following parameters have to be set:

S-0-147: Bit 2 = 0, Bit 4 = 1 (Bit numbers counted startin from zero).

S-0-27 (Assignment control status word): Listelement 14 = 407,

Listelement 15 = 404.

S-0-26 (Assignment signal status word): Listenelement 14 = 408,

Listenelement 15 = 403.

In the cyclic process data S-0-144 uns S-0-145 have to be configured.


Parameters

More:

button Overview

button Description


Overview

ID | Parameter | Description
P-AXIS-00015 | achs_mode | Operating mode of an axis
P-AXIS-00014 | abs_pos_gueltig | Identifier for absolute distance measurement system
P-AXIS-00036 | cam_direct_access | Access to reference cam
P-AXIS-00038 | cam_level | Signal level for the reference cam signal
P-AXIS-00064 | fast_from_cam | Fast/slow returning to the reference cam
P-AXIS-00074 | gantry_slave_no_homing | Suppression of homing for gantry slave axis
P-AXIS-00084 | homing_without_zero_pulse | Homing with or without zero pulse signal
P-AXIS-00152 | pos_refpkt | Position of the reference point
P-AXIS-00156 | ref_ohne_nocken | Homing with or without reference cam
P-AXIS-00157 | ref_ohne_rev | Homing with or without reversing
P-AXIS-00158 | ref_richt | Travel direction during homing
P-AXIS-00161 | rpf_weg_bis_nip | Distance up to arrival of the zero pulse during simulated homing
P-AXIS-00218 | vb_reflow | Slow homing speed
P-AXIS-00219 | vb_refmax | Fast homing speed
P-AXIS-00299 | homing_type | Homing type
P-AXIS-00321 | reference_cam_signal | Input of reference cam signal (only SERCOS)
P-AXIS-00386 | drive_supports_cnc_homing | CNC controlled homing with zero pulse latching in the drive via command S-0-146 (only SERCOS).
P-AXIS-00387 | cnc_homing_rt_bit_layout | Assignment of the control and status bits used for CNC controlled homing via S-0146 (only SERCOS).
P-AXIS-00388 | cnc_homing_encoder | Definition of the encoder used for homing.
P-AXIS-00412 | homing_max_movement_dist | Maximum allowable distance for homing.
P-AXIS-00425 | reference_check.bit_nr | Bit number of bit used for reference monitoring
P-AXIS-00426 | reference_check.element_name | Name of process data element used for transmission of the reference signal


Description

P-AXIS-00015 | Operating mode of an axis
Parameter | kenngr.achs_mode
Description | Axes can be traversed in different operating modes.
Data type | UNS32
Data range |
Remarks | * One of the following two axis modes must always be defined: - ACHSMODE_LINEAR or - ACHSMODE_MODULO All other bits of the parameter achs_mode are supplementary specifications. E.g. the bit ACHSMODE_MODULO_LINEAR is only useful combined with bit ACHSMODE_MODULO. ** For TwinCAT-Systems this axis mode is not available.

P-AXIS-00014 | Identifier for absolute distance measuring system
Parameter | kenngr.abs_pos_gueltig
Description | No homing is necessary when using an absolute measuring system. All further axis parameters regarding homing are inactive.
Data type | BOOLEAN
Data range | 1: Absolute measuring system 0: No absolute measuring system
Dimension | -
Default | -
Remarks | -

P-AXIS-00036 | Access to reference cam and zero pulse
Parameter | lr_hw[i]. cam_direct_access
Description | Access to the reference cam and zero pulse signals can be selected with this parameter. The signals are accessed either directly from I/O hardware or indirectly from the PLC, which communicates with the control system via the HLI interface.
Data type | BOOLEAN
Data range | 0: Indirect access via the HLI interface 1: Direct access from I/O hardware.
Dimension | -
Default | 0
Remarks | This entry is not adopted when the axis parameter list is updated. Restart of the control system is necessary for updating. In the case of TwinCat, this parameter is always implicitly set to 0.

P-AXIS-00038 | Signal level for the reference cam signal
Parameter | lr_hw[i].cam_level
Description | The switching level of the cam signal can be set with this parameter.
Data type | BOOLEAN
Data range | 0: Cam signal is 0-active 1: Cam signal is 1-active
Dimension | -
Default | 0
Remarks | -

P-AXIS-00064 | Fast/slow returning to the reference cam
Parameter | kenngr.fast_from_cam
Description | The speed when reversing to the reference cam can be defined with this parameter.
Data type | BOOLEAN
Data range | 0: Slow returning to the reference cam with P-AXIS-00218 (vb_reflow). 1: Fast returning to the reference cam with P-AXIS-00219 (vb_refmax).
Dimension | -
Default | 1
Remarks | The spindle does not support this parameter.

P-AXIS-00074 | Suppression of homing for gantry slave axes
Parameter | kenngr.gantry_slave_no_homing
Description | Homing for gantry slave axes can be suppressed with this parameter. After homing of the master axis, the reference positions entered in the axis parameter list of the slave axes are adopted and monitoring of the gantry difference between the master and slave axes is started.
Data type | BOOLEAN
Data range | 0: Reference point travel for gantry slave axis is possible 1: Reference point travel for gantry slave axis is suppressed
Dimension | -
Default | 0
Remarks | This parameter is not supported in the case of spindle axes.

P-AXIS-00084 | Homing with or without zero pulse signal
Parameter | kenngr.homing_without_zero_pulse
Description | The reference position is determined by travel to the cam
Data type | BOOLEAN
Data range | 0: Positioning of the axis on the switching cam taking into account the rotary encoder's zero pulse 1: Positioning of the axis on the switching cam without taking into account the rotary encoder's zero pulse (imprecise!)
Dimension | -
Default | 0
Remarks | -

P-AXIS-00152 | Position of the reference point
Parameter | getriebe[i].pos_refpkt
Description | After homing, the entered value is adopted as the absolute position for the axis.
Data type | SGN32
Data range | P-AXIS-00177 (swe_neg) < P-AXIS-00152 < P-AXIS-00178 (swe_pos)
Dimension | Translatory: 0.1μm | Rotatory: 0.0001°
Default | -
Remarks | The position of the reference point must lie within the range of the software limit switches.

P-AXIS-00156 | Homing with or without reference cam
Parameter | kenngr.ref_ohne_nocken
Description | It is possible to switch over the homing strategy so as to perform referencing without a cam (e.g. only with a zero pulse), i.e. without reversing. In this case, the "kenngr.ref_ohne_nocken" parameter must be set to "TRUE".
Data type | BOOLEAN
Data range | 0: With reference cam 1: Without reference cam
Dimension | -
Default | -
Remarks | Referencing only to zero pulse (NIP)

P-AXIS-00157 | Homing with or without reversing >
Parameter | kenngr.ref_ohne_rev
Description | By means of this parameter, a restriction can be implemented during homing to forbid reversing.
Data type | BOOLEAN
Data range | 0: With reversing 1: Without reversing
Dimension | -
Default | -
Remarks | The speed during reversing is set with the P-AXIS-00064 (fast_from_cam) parameter. By reversing, it is possible to repeatedly move to the reference cam at slow speed.

P-AXIS-00158 | Travel direction during homing
Parameter | kenngr.ref_richt
Description | This parameter describes the travel direction during homing, when the axis is not on a cam.
Data type | BOOLEAN
Data range | 0: Negative direction 1: Positive direction
Dimension | -
Default | -
Remarks | Positive direction: the coordinate values increase Negative direction: the coordinate values decrease

P-AXIS-00161 | Distance up to arrival of the zero pulse during simulated homing
Parameter | antr.simu.rpf_weg_bis_nip
Description | -
Data type | SGN32
Data range | MIN(SGN32) < P-AXIS-00161 < MAX(SGN32)
Dimension | Translatory: 0.1μm | Rotatory: 0.0001°
Default | -
Remarks | -

P-AXIS-00218 | Slow homing speed
Parameter | getriebe[i].vb_reflow
Description | -
Data type | UNS32
Data range | 1 < P-AXIS-00218 < P-AXIS-00219 (vb_refmax)
Dimension | Translatory: μm/s | Rotatory: 0.001°/s
Default | -
Remarks | -

P-AXIS-00219 | Fast homing speed
Parameter | getriebe[i].vb_refmax
Description | -
Data type | UNS32
Data range | 1 < P-AXIS-00219 < P-AXIS-00213 (vb_max)
Dimension | Translatory: μm/s | Rotatory: 0.001°/s
Default | -
Remarks | -

P-AXIS-00299 | Homing type
Parameter | kenngr.homing_type
Description | This parameter sets the homing type for the axis.
Data type | ISG_CHAR
Data range | CNC_CONTROLLED, DRIVE_CONTROLLED
Dimension | Translatory: - | Rotatory: -
Default | -
Remarks | -

P-AXIS-00321 | Input of reference cam signal
Parameter | antr.sercos.reference_cam_signal
Description | This parameter defines the input of the reference cam signal for the NC-controlled RPT with SERCOS drives.
Data type | ISG_CHAR
Data range | PLC, RT_STATUS_BIT_1, RT_STATUS_BIT_2
Dimension | Translatory: - | Rotatory: -
Default | -
Remarks | -

P-AXIS-00386

Zero pulse latching in the drive with command S-0-146

Parameter

antr.sercos.drive_supports_cnc_homing

Description

By default CNC controlled homing for SERCOS drive is done completely in the control, the drive internal positions are not altered.

If the drive supports SERCOS command S-0-146 (CNC controlled homing), by this parameter it can be activated that this command is used for CNC controlled homing. The advantage of this method is that after homing is finished the drive internal positions are referenced, too, so that for example drive internal software limit switches can be used.

The reference position used for homing is P-AXIS-00152, this value is transferred to the drive during homing.

Data type

BOOLEAN

Data range

[0, 1]

Dimension

Translatory: -

Rotatory: -

Default

0

Remarks

This parameter is actually not supported for spindles.

Additionally to command S-0-146 the drive must support the following commands:

· S-0-171 (Calculate displacement)

· S-0-172 (Displacement to referenced system)

· S-0-191 (Cancel reference point procedure)

For further information please refer to the drive manufacturers documentation.

P-AXIS-00387

Assignment of status- and control bits used for homing with command S-0-146

Parameter

antr.sercos.cnc_homing_rt_bit_layout

Description

To execute cnc controlled homing with drive support two control and status bits are necessary each. Its can be used the real time control and status bits in the drive control and status word or alternatively bits in the signal status and signal control word.

The follwing table shows the assignment from the values of P-AXIS-00387 to the possible bit combinations:

P-AXS-00387 | Process data | Bit number | Meaning | Ident
1 | Control word | Realtimebit 1 (S-0-301) | Homing enable | S-0-407
 |  | Realtimebit 2 (S-0-303) | Pos. command referenced | S-0-404
 | Status word | Realtimebit 1 (S-0-305) |  | S-0-408
 |  | Realtimebit 2 (S-0-307) | Actual position referenced | S-0-403
2 | Signal control word | Bit 0 (S-0-27[0]) | Homing enable | S-0-407
 |  | Bit 1 (S-0-27[1]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 0 (S-0-26[0]) | Pos. marker pulse registered | S-0-408
 |  | Bit 1 (S-0-26[1]) | Actual position referenced | S-0-403
3 | Signal control word | Bit 1 (S-0-27[1]) | Homing enable | S-0-407
 |  | Bit 2 (S-0-27[2]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 1 (S-0-26[1]) | Pos. marker pulse registered | S-0-408
 |  | Bit 2 (S-0-26[2]) | Actual position referenced | S-0-403
4 | Signal control word | Bit 2 (S-0-27[2]) | Homing enable | S-0-407
 |  | Bit 3 (S-0-27[3]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 2 (S-0-26[2]) | Pos. marker pulse registered | S-0-408
 |  | Bit 3 (S-0-26[3]) | Actual position referenced | S-0-403
5 | Signal control word | Bit 3 (S-0-27[3]) | Homing enable | S-0-407
 |  | Bit 4 (S-0-27[4]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 3 (S-0-26[3]) | Pos. marker pulse registered | S-0-408
 |  | Bit 4 (S-0-26[4]) | Actual position referenced | S-0-403
6 | Signal control word | Bit 4 (S-0-27[4]) | Homing enable | S-0-407
 |  | Bit 5 (S-0-27[5]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 4 (S-0-26[4]) | Pos. marker pulse registered | S-0-408
 |  | Bit 5 (S-0-26[5]) | Actual position referenced | S-0-403
7 | Signal control word | Bit 5 (S-0-27[5]) | Homing enable | S-0-407
 |  | Bit 6 (S-0-27[6]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 5 (S-0-26[5]) | Pos. marker pulse registered | S-0-408
 |  | Bit 6 (S-0-26[6]) | Actual position referenced | S-0-403
8 | Signal control word | Bit 6 (S-0-27[6]) | Homing enable | S-0-407
 |  | Bit 7 (S-0-27[7]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 6 (S-0-26[6]) | Pos. marker pulse registered | S-0-408
 |  | Bit 7 (S-0-26[7]) | Actual position referenced | S-0-403
9 | Signal control word | Bit 7 (S-0-27[7]) | Homing enable | S-0-407
 |  | Bit 8 (S-0-27[8]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 7 (S-0-26[7]) | Pos. marker pulse registered | S-0-408
 |  | Bit 8 (S-0-26[8]) | Actual position referenced | S-0-403
10 | Signal control word | Bit 8 (S-0-27[8]) | Homing enable | S-0-407
 |  | Bit 9 (S-0-27[9]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 8 (S-0-26[8]) | Pos. marker pulse registered | S-0-408
 |  | Bit 9 (S-0-26[9]) | Actual position referenced | S-0-403
11 | Signal control word | Bit 9 (S-0-27[9]) | Homing enable | S-0-407
 |  | Bit 10 (S-0-27[10]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 9 (S-0-26[9]) | Pos. marker pulse registered | S-0-408
 |  | Bit 10 (S-0-26[10]) | Actual position referenced | S-0-403
12 | Signal control word | Bit 10 (S-0-27[10]) | Homing enable | S-0-407
 |  | Bit 11 (S-0-27[11]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 10 (S-0-26[10]) | Pos. marker pulse registered | S-0-408
 |  | Bit 11 (S-0-26[11]) | Actual position referenced | S-0-403
13 | Signal control word | Bit 11 (S-0-27[11]) | Homing enable | S-0-407
 |  | Bit 12 (S-0-27[1]2) | Pos. command referenced | S-0-404
 | Signal status word | Bit 11 (S-0-26[11]) | Pos. marker pulse registered | S-0-408
 |  | Bit 12 (S-0-26[1]2) | Actual position referenced | S-0-403
14 | Signal control word | Bit 12 (S-0-27[12]) | Homing enable | S-0-407
 |  | Bit 13 (S-0-27[13]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 12 (S-0-26[12]) | Pos. marker pulse registered | S-0-408
 |  | Bit 13 (S-0-26[13]) | Actual position referenced | S-0-403
15 | Signal control word | Bit 13 (S-0-27[13]) | Homing enable | S-0-407
 |  | Bit 14 (S-0-27[1]4) | Pos. command referenced | S-0-404
 | Signal status word | Bit 13 (S-0-26[13]) | Pos. marker pulse registered | S-0-408
 |  | Bit 14 (S-0-26[14]) | Actual position referenced | S-0-403
16 | Signal control word | Bit 14 (S-0-27[14]) | Homing enable | S-0-407
 |  | Bit 15 (S-0-27[15]) | Pos. command referenced | S-0-404
 | Signal status word | Bit 14 (S-0-26[14]) | Pos. marker pulse registered | S-0-408
 |  | Bit 15 (S-0-26[15]) | Actual position referenced | S-0-403

Data type

UNS16

Data range

[1, 16]

Dimension

Translatory: -

Rotatory: -

Default

0

Remarks

When the status and control bits are transfered in the signal status and control words, these have to be configured in the cyclic process data, otherwise an error message with error id. 70295 will be output.

P-AXIS-00388

Encoder used for homing.

Parameter

antr.cnc_homing_encoder

Description

Some drive types support the use of multiple encoders (motor encoder and external encoder). This parameter defines, which encoder shall be used for homing.

Value of P-AXIS-00388 | Used encoder
1 | The encoder used for homing is determined automatically, e. g. for SERCOS drives by reading parameter S-0-147.
2 | Motorencoder
3 | External encoder

Data type

UNS16

Data range

[1, 3]

Dimension

Translatory: -

Rotatory: -

Default

1

Remarks

At the moment this parameter is supported only for SERCOS.

P-AXIS-00412

Distance monitoring during homing

Parameter

kenngr.homing_max_movement_dist

Description

With this parameter a maximum movement distance during homing can be set up for spindles and rotatory axes. If the maximum permissible distance for homing is exceeded, homing is aborted and error message P-ERR-70394 is output.

By setting this parameter it can be achieved that homing is aborted if for example, the reference cam is not recognized dur to an wiring error.

This parameter works only for spindles and rotatory axes, see P-AXIS-00018.

If this parameter is set for linear axes to a value other than zero error P-ERR-110545 is output and the parameter is set zu zero.

A value of zero disables distance monitoring during homing.

Data type

UNS32

Data range

[0, MAX_UNS32]

Dimension

Translatory: 0,1 um

Rotatory: 10-4°-

Default

0 (Distance monitoring disabled)

Remarks

This parameter has to be set to a value which is at least as big as the modulo range of the axis in order to complete homing successfully.

P-AXIS-00425

Bit number of bit used for reference monitoring

Parameter

antr.reference_check.bit_nr

Description

At active reference monitoring in this parameter the bit number of the bit used for transmission of the reference signal has to be set up.

The least significant bit has bit number 0.

Depending on the length of the configured telegram element used for transmission of the reference signal the maximum value for this parameter is:

Telegramelement length | Max. bit number
2 | 15
4 | 31

If an invalid bit number is set up error message P-ERR-110549 is output.

Data type

SGN16

Data range

< 0: Reference monitoring is disabled..

0 ... Max. bit number: Number of bit used for reference monitoring.

Dimension

-

Default

-1

Remarks

At the moment this parameter is only supported for drive type SERCOS.

P-AXIS-00426

Name of process data element used for transmission of the reference signal

Parameter

antr. reference _check.element_name

Description

In this parameter the name of the element of the cyclic input process data which is used for transmission of the reference signal from the drive has to be entered.

Reference monitoring is activated if a value is assigned to this parameter.

If reference monitoring is activated, P-AXIS-00425 must also assigned a valued value.

When the SERCOS state word is used for transmission of the reference signal, this parameter has to be set to S-0-0135, otherwise to the name of a telegram element configured in the cyclic input process data.

If the value set up in P-AXIS-00426 is not found in the process data error message P-ERR-70401 is output.

Data type

STRING

Data range

-

Dimension

-

Default

 (empty string), reference monitoring is disabled.

Remarks

· At the moment this parameter is only supported for drive type SERCOS.

· Changing this parameter by a list update is not possible (P-ERR-110550).